Package org.openoffice.da.comp.writer2xhtml

# Class Writer2xhtml

java.lang.Object
com.sun.star.lib.uno.helper.WeakBase
org.openoffice.da.comp.writer2xhtml.Writer2xhtml

All Implemented Interfaces:
  `com.sun.star.frame.XDispatch`, `com.sun.star.frame.XDispatchProvider`, `com.sun.star.lang.XInitialization`, `com.sun.star.lang.XServiceInfo`, `com.sun.star.lang.XTypeProvider`, `com.sun.star.uno.XInterface`, `com.sun.star.uno.XWeak`

public final class Writer2xhtml extends com.sun.star.lib.uno.helper.WeakBase implements com.sun.star.lang.XServiceInfo, com.sun.star.frame.XDispatchProvider, com.sun.star.lang.XInitialization, com.sun.star.frame.XDispatch
This class implements the ui (dispatch) commands provided by Writer2xhtml.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`__implementationName`
`static final String`
`__serviceName`

### Fields inherited from class com.sun.star.lib.uno.helper.WeakBase

`_mapTypes`

### Fields inherited from interface com.sun.star.frame.XDispatch

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.frame.XDispatchProvider

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XInitialization

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XServiceInfo

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.lang.XTypeProvider

`UNOTYPEINFO`

### Fields inherited from interface com.sun.star.uno.XWeak

`UNOTYPEINFO`

## Constructor Summary

Constructors
Constructor
Description
`Writer2xhtml(com.sun.star.uno.XComponentContext xContext)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStatusListener(com.sun.star.frame.XStatusListener xControl, com.sun.star.util.URL aURL)`
`void`
`dispatch(com.sun.star.util.URL aURL, com.sun.star.beans.PropertyValue[] aArguments)`
`String`
`getImplementationName()`
`String[]`
`getSupportedServiceNames()`
`void`
`initialize(Object[] object)`
`com.sun.star.frame.XDispatch`
`queryDispatch(com.sun.star.util.URL aURL, String sTargetFrameName, int iSearchFlags)`
`com.sun.star.frame.XDispatch[]`
`queryDispatches(com.sun.star.frame.DispatchDescriptor[] seqDescriptors)`
`void`
`removeStatusListener(com.sun.star.frame.XStatusListener xControl, com.sun.star.util.URL aURL)`
`boolean`
`supportsService(String sService)`

### Methods inherited from class com.sun.star.lib.uno.helper.WeakBase

`finalize, getImplementationId, getTypes, queryAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### __implementationName

public static final String __implementationName

### __serviceName

public static final String __serviceName

See Also:
  - Constant Field Values

## Constructor Details

### Writer2xhtml

public Writer2xhtml(com.sun.star.uno.XComponentContext xContext)

## Method Details

### initialize

public void initialize(Object[] object) throws com.sun.star.uno.Exception

Specified by:
  `initialize` in interface `com.sun.star.lang.XInitialization`
Throws:
  `com.sun.star.uno.Exception`

### getImplementationName

public String getImplementationName()

Specified by:
  `getImplementationName` in interface `com.sun.star.lang.XServiceInfo`

### supportsService

public boolean supportsService(String sService)

Specified by:
  `supportsService` in interface `com.sun.star.lang.XServiceInfo`

### getSupportedServiceNames

public String[] getSupportedServiceNames()

Specified by:
  `getSupportedServiceNames` in interface `com.sun.star.lang.XServiceInfo`

### queryDispatch

public com.sun.star.frame.XDispatch queryDispatch(com.sun.star.util.URL aURL, String sTargetFrameName, int iSearchFlags)

Specified by:
  `queryDispatch` in interface `com.sun.star.frame.XDispatchProvider`

### queryDispatches

public com.sun.star.frame.XDispatch[] queryDispatches(com.sun.star.frame.DispatchDescriptor[] seqDescriptors)

Specified by:
  `queryDispatches` in interface `com.sun.star.frame.XDispatchProvider`

### dispatch

public void dispatch(com.sun.star.util.URL aURL, com.sun.star.beans.PropertyValue[] aArguments)

Specified by:
  `dispatch` in interface `com.sun.star.frame.XDispatch`

### addStatusListener

public void addStatusListener(com.sun.star.frame.XStatusListener xControl, com.sun.star.util.URL aURL)

Specified by:
  `addStatusListener` in interface `com.sun.star.frame.XDispatch`

### removeStatusListener

public void removeStatusListener(com.sun.star.frame.XStatusListener xControl, com.sun.star.util.URL aURL)

Specified by:
  `removeStatusListener` in interface `com.sun.star.frame.XDispatch`